VERSION 5.00
Object = "{6FBA474E-43AC-11CE-9A0E-00AA0062BB4C}#1.0#0"; "SYSINFO.OCX"
Begin VB.Form frmOSVersion 
   Caption         =   "OS Version - 20020831"
   ClientHeight    =   4410
   ClientLeft      =   2340
   ClientTop       =   855
   ClientWidth     =   4680
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   ScaleHeight     =   4410
   ScaleWidth      =   4680
   Begin VB.CommandButton cmdWorkArea 
      Caption         =   "&Get WorkArea Size"
      Height          =   375
      Left            =   1080
      TabIndex        =   2
      Top             =   3960
      Width           =   1815
   End
   Begin VB.ListBox lstInfo 
      Height          =   3375
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   4335
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "&Quit"
      Height          =   375
      Left            =   3360
      TabIndex        =   0
      Top             =   3960
      Width           =   1215
   End
   Begin SysInfoLib.SysInfo SysInfo1 
      Left            =   120
      Top             =   3600
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
   End
End
Attribute VB_Name = "frmOSVersion"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Public MyErr As Integer
Sub ShowFreeSpace(drvpath)
    Dim fs, d, s As String
    Set fs = CreateObject("Scripting.FileSystemObject")
    Set d = fs.GetDrive(fs.GetDriveName(drvpath))
    s = "Drive: " & UCase(drvpath) & vbTab & vbTab & vbTab
    'lstInfo.AddItem s
    s = s & "Volume: " & d.VolumeName
    lstInfo.AddItem s
    s = "Total Size: " & FormatNumber(d.totalsize / 1048576, 0)
    s = s & " MB"
    If Len(s) < 20 Then s = s & vbTab
    s = s & vbTab
    'lstInfo.AddItem s
    s = s & "Free Space: " & FormatNumber(d.FreeSpace / 1048576, 0)
    s = s & " MB"
    lstInfo.AddItem s
End Sub


Sub ShowDriveInfo(drvpath)
    Dim fs, d, s, t
    Set fs = CreateObject("Scripting.FileSystemObject")
    Set d = fs.GetDrive(drvpath) 'fs.GetDriveName(fs.GetAbsolutePathName(drvpath)))
    Select Case d.DriveType
        Case 0: t = "Unknown"
        Case 1: t = "Removable"
        Case 2: t = "Fixed"
        Case 3: t = "Network"
        Case 4: t = "CD-ROM"
        Case 5: t = "RAM Disk"
        Case Else: t = "Can't access"
    End Select
    t = "Type: " & t & vbTab & vbTab
    'lstInfo.AddItem t
    t = t & "SN: " & d.SerialNumber
    lstInfo.AddItem t
    'Print s
End Sub


Sub ShowFileSystemType(drvpath)
    Dim fs, d, s
    Set fs = CreateObject("Scripting.FileSystemObject")
    Set d = fs.GetDrive(drvpath)
    s = d.FileSystem
    s = "File system: " & s
    lstInfo.AddItem s
    s = ""
    lstInfo.AddItem s
    DoEvents
End Sub
Private Sub cmdQuit_Click()
  Unload Me
End Sub

Private Sub cmdWorkArea_Click()
   MsgEnd = "WorkAreaLeft= " & Format(SysInfo1.WorkAreaLeft, 0) & vbTab
   'lstInfo.AddItem MsgEnd
   MsgEnd = MsgEnd & "WorkAreaWidth= " & Format(SysInfo1.WorkAreaWidth, 0)
   lstInfo.AddItem MsgEnd
   MsgEnd = "WorkAreaTop= " & Format(SysInfo1.WorkAreaTop, 0) & vbTab
   'lstInfo.AddItem MsgEnd
   MsgEnd = MsgEnd & "WorkAreaHeight= " & Format(SysInfo1.WorkAreaHeight, 0)
   lstInfo.AddItem MsgEnd
   MsgEnd = ""
   lstInfo.AddItem MsgEnd
   DoEvents
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
  If KeyAscii = Asc("q") Or KeyAscii = Asc("Q") Then
    Unload Me
  End If
  If KeyAscii = Asc("G") Or KeyAscii = Asc("g") Then
    cmdWorkArea_Click
  End If
End Sub

Private Sub Form_Load()
   Me.Show
   DoEvents
   Dim MsgEnd As String
   On Error GoTo errhandler
   
   Select Case SysInfo1.OSPlatform
      Case 0
         MsgEnd = "Unidentified - Win 32s"
      Case 1
         MsgEnd = "Windows 95, ver. " & CStr(SysInfo1.OSVersion)
      Case 2
         MsgEnd = "Windows NT, ver. " & CStr(SysInfo1.OSVersion)
   End Select
   MsgEnd = MsgEnd & "; Build " & CStr(SysInfo1.OSBuild)
   MsgEnd = "System: " & MsgEnd
   lstInfo.AddItem MsgEnd
   MsgEnd = ""
   lstInfo.AddItem MsgEnd
   DoEvents
   'need loop to cover all local drives
   Dim MyDrive As String
   For iCount = 67 To 90
     MyDrive = Chr$(iCount) + ":"
     ShowFreeSpace (MyDrive)
     ShowDriveInfo (MyDrive)
     ShowFileSystemType (MyDrive)
   Next iCount

errhandler:
   If Err = 68 Then
     'MsgBox "Drive list complete"
     'Exit Sub
     Resume Next
   End If
End Sub
